Pools
Flush warm browsers
Stop every ready browser and warm fresh ones. Leased browsers are not touched. Answers how many were stopped.
POST
/
v1
/
browser
/
pools
/
{poolId}
/
flush
Flush warm browsers
curl --request POST \
--url https://api.driver.dev/v1/browser/pools/{poolId}/flush \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.driver.dev/v1/browser/pools/{poolId}/flush"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.driver.dev/v1/browser/pools/{poolId}/flush', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"stopped": 123
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}{
"error": "<string>"
}Authorizations
A workspace API key from Settings → API keys in the dashboard (https://app.driver.dev), sent as a bearer token.
Path Parameters
Required string length:
6 - 80Example:
"pool_8ca73065e49d44f3a7825743745b2948"
⌘I
Flush warm browsers
